<script setup>
import { computed, ref } from 'vue';

const props = defineProps({
    message: {
        type: String,
        default: null
    },
    tooltip: Boolean,
});

const show = ref(true);
</script>

<template>
    <div v-show="Boolean(message) && show" :class="[tooltip ? 'invalid-tooltip' : 'invalid-feedback']">
        <div class="d-flex">
            <div v-html="message" class="flex-fill"/>
            <div>
                <button type="button" class="btn-close" aria-label="Close" @click="show = false"></button>
            </div>
        </div>
    </div>
</template>
